Name:		zsxd
Version:	1.7.1
Release:	%mkrel 2
Summary:	A Zelda-like humorous game
Group:		Games/Adventure
License:	GPLv3+
URL:		http://www.zelda-solarus.com
# wget http://www.zelda-solarus.com/zs/download/zmosxd-src/ -O %%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-fix.patch
BuildArch:	noarch

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	zip
 
Requires:	hicolor-icon-theme
Requires:	solarus

%description
An open-source Zelda-like 2D humorous game that works with Solarus.

%prep
%setup -q
%patch0 -p1 -b .fix_prefix

%build
cmake \
	-DCMAKE_INSTALL_PREFIX:PATH="%{_prefix}" \
	-DCMAKE_BUILD_TYPE:STRING=Release .
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE1}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{24x24,32x32,48x48,256x256}/apps
#24x24
cp build/icons/%{name}_icon_24.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps
rename %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}_icon_24.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}_icon_24.png
#32x32
cp build/icons/%{name}_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps
rename %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}_icon_32.png
#48x48
cp build/icons/%{name}_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps
rename %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}_icon_48.png
#256x256
cp build/icons/%{name}_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps
rename %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}_icon_256.png

%files
%doc readme.txt ChangeLog
%{_gamesbindir}/%{name}
%{_gamesdatadir}/solarus
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*.png


%changelog
* Wed Feb 12 2014 david.david (MLO Team) <david.david> 1.7.1-2.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: 1.7.1

+ Thanks for lolo22 to imported package zsxd 
(http://www.mageialinux-online.org/forum/topic-16972+the-legend-of-zelda-mystery-of-solarus-dx-xd.php)

* Sat Feb  8 2014 Escales Loïc <loic.escales@openmailbox.org> - 1.7.1-1.mga4
- rebuilding for Mageia 4
- adding patch for /usr/games

* Thu Dec 05 2013 Escales Loïc <loic.escales@openmailbox.org> - 1.7.1-2.mga3
- adding desktop file
- adding icons

* Wed Dec 04 2013 Escales Loïc <loic.escales@openmailbox.org> - 1.7.1-1.mga3
- packaged zsxd version 1.7.1 for Mageia 3

* Sun Dec 01 2013 Escales Loïc <loic.escales@openmailbox.org> - 1.7.0-1.mga3
- packaged zsxd version 1.7.0 for Mageia 3
